Name:		libchewing
Version:	0.3.0
Release: 	6%{?dist}
Summary:      Intelligent phonetic input method library for Traditional Chinese

Group: 		System Environment/Libraries
License:	GPL
URL:		http://chewing.csie.net/
Source:		http://chewing.csie.net/download/libchewing/%{name}-%{version}.tar.gz
Patch0:		libchewing-0.3.0-3.bz199353.patch
Patch1:		libchewing-0.3.0-4.bz206232.patch
Patch2:		libchewing-0.3.0-5.bz216581a.patch
Patch3:		libchewing-0.3.0-5.bz216581b.patch
Patch4:		libchewing-0.3.0-6.bz231568.patch

BuildRoot:  	%{_tmppath}/%{name}-%{version}-root

%description
libchewing is an intelligent phonetic input method library for Chinese.

It provides the core algorithm and logic that can be used by various
input methods.  The Chewing input method is a smart bopomofo phonetics
input method that is useful for inputting Mandarin Chinese.


%package  -n %{name}-devel
Summary:	Development files for libchewing
Group: 		Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description -n %{name}-devel
Headers and other files needed to develop applications using the %name library.

%prep
%setup -q
%patch0 -p1 -b .1-bz199353
%patch1 -p1 -b .2-bz206232
%patch2 -p1 -b .3-bz216581a
%patch3 -p1 -b .4-bz216581b
%patch4 -p1 -b .5-bz231568

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install

rm $RPM_BUILD_ROOT%{_libdir}/libchewing.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING
%dir %{_datadir}/chewing
%{_datadir}/chewing/*
%attr(755, root, root) %{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%dir %{_includedir}/chewing
%{_includedir}/chewing/*
%{_libdir}/pkgconfig/chewing.pc
%{_libdir}/*.so

%changelog
* Fri Mar 09 2007 Caius Chance <cchance@redhat.com> - 0.3.0-6.devel
- Fixed bz231568: [chewing] Look up table is showing candidates of previous 
  look-up.

* Tue Nov 21 2006 Caius Chance <cchance@redhat.com> - 0.3.0-5.fc7
- Fixed bz#216581: Ported the following bugfix:
- (bz#216337: Page Up / Page Down key doesn't when Chewing is activated.)
- (bz#209575: preedit buffer is not cleared when framework calls for
  instance reset.)

* Fri Sep 15 2006 Caius Chance <cchance@redhat.com> - 0.3.0-4.fc6
- Fixed bz#206232 - Shift_L + space doesn't work correctly  

* Mon Sep 04 2006 Caius Chance <cchance@redhat.com> - 0.3.0-3.fc6
- Fixed bz#199353 - scim-chewing hangs for commit > 6 characters

* Wed Jul 19 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-2
- fix release

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-1.2.1.1
- rebuild

* Mon May 22 2006 Darshan Santani <dsantani@redhat.com>
- New source tarball added.
- Rebuild.

* Thu May 18 2006 Jens Petersen <petersen@redhat.com>
- configure with --disable-static
- exclude INSTALL from docs

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.7-1
- Initial build for Fedora Core
- cleanup spec file according to Fedora standard

* Fri Dec 31 2004 rabit <rabit@ipserv.org> 0.2.5-fc3
- update for 0.2.5. and fedora core 3

* Thu Oct 8 2004 rabit <rabit@ipserv.org> 0.2.4-fc2
- update for 0.2.4.

* Thu Oct 7 2004 rabit <rabit@ipserv.org> 0.2.3-fc2
- Initial build.
